package com.sa.ibiz.demo.demo.codelist;

import java.util.ArrayList;
import java.util.List;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import org.springframework.util.StringUtils;
import org.springframework.stereotype.Component;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import com.sa.ibiz.demo.ibizutil.domain.CodeList;
import com.sa.ibiz.demo.ibizutil.domain.CodeItem;


/**
 * 代码表[系统集成功能]
 */
@Component("ionicdemo_SystemFuncCodeList")
public class SystemFuncCodeList extends com.sa.ibiz.demo.ibizutil.domain.CodeListBase{
    @PostConstruct
	protected void init()
	{
	}

	@Override
	public void initCodeList()  {
		CodeList codeList = new CodeList();
		codeList.setSrfkey("ionicdemo_SystemFunc");
		List<CodeItem> codeItemList = new ArrayList<CodeItem>();
		CodeItem item0 = new CodeItem();
		item0.setValue(1);
		item0.setId("1");
		item0.setText("统一认证");
		item0.setLabel("统一认证");
		codeItemList.add(item0);
		codeList.getCodeItemModelMap().put("1",item0);
		CodeItem item1 = new CodeItem();
		item1.setValue(2);
		item1.setId("2");
		item1.setText("统一权限");
		item1.setLabel("统一权限");
		codeItemList.add(item1);
		codeList.getCodeItemModelMap().put("2",item1);
		CodeItem item2 = new CodeItem();
		item2.setValue(4);
		item2.setId("4");
		item2.setText("系统日志");
		item2.setLabel("系统日志");
		codeItemList.add(item2);
		codeList.getCodeItemModelMap().put("4",item2);
		CodeItem item3 = new CodeItem();
		item3.setValue(8);
		item3.setId("8");
		item3.setText("工作流服务");
		item3.setLabel("工作流服务");
		codeItemList.add(item3);
		codeList.getCodeItemModelMap().put("8",item3);
		CodeItem item4 = new CodeItem();
		item4.setValue(16);
		item4.setId("16");
		item4.setText("短信网关");
		item4.setLabel("短信网关");
		codeItemList.add(item4);
		codeList.getCodeItemModelMap().put("16",item4);
		codeList.setItems(codeItemList.toArray(new CodeItem[codeItemList.size()]));
        this.setCodeList(codeList);
	}



}